<?php

require_once "../controladores/personas.controlador.php";
require_once "../modelos/personas.modelo.php";

class AjaxPersonas{

	/*=============================================
	EDITAR PERSONA
	=============================================*/	

	public $idPersona;

	public function ajaxEditarPersona(){

		$item = "idpersona";
		$valor = $this->idPersona;

		$respuesta = ControladorPersonas::ctrMostrarPersonas($item, $valor);

		echo json_encode($respuesta);


	}

	public function ajaxMostrarPersonaServicio(){

		$item = "idpersona";
		$valor = $this->idPersona;

		$respuesta = ControladorPersonas::ctrMostrarPersonaServicio($item, $valor);

		echo json_encode($respuesta);


	}

	public function ajaxMostrarPersona(){

		$item = "idpersona";
		$valor = $this->idPersona;

		$respuesta = ControladorPersonas::ctrMostrarPersona($item, $valor);

		echo json_encode($respuesta);


	}

	public function ajaxTablaPersona(){
		$item = null;
		$valor = null;
		$respuesta = ControladorPersonas::ctrMostrarPersonas($item, $valor);
		foreach($respuesta as $fila){
			$data['data'][] = $fila;
			
		}
		echo json_encode($data);
	}

	/*=============================================
	VALIDAR NO REPETIR PERSONA
	=============================================*/	

	public $validarPersona;

	public function ajaxValidarPersona(){

		$item = "documento";
		$valor = $this->validarPersona;

		$respuesta = ControladorPersonas::ctrMostrarPersonas($item, $valor);

		echo json_encode($respuesta);

	}

	/*=====================================
	VALIDAR QUE NO REPITE EL CODIGO DE UNA PERSONA
	==========================*/
	public function ajaxValidarPersonaCodigo(){

		$item = "codigo";
		$valor = $this->validarPersona;

		$respuesta = ControladorPersonas::ajaxValidarPersonaCodigo($item, $valor);

		echo json_encode($respuesta);

	}

	public function ajaxActivarPersona($activarPersona,$activarId){

		$tabla = "persona";

		$item1 = "estado";
		$valor1 = $activarPersona;

		$item2 = "idpersona";
		$valor2 = $activarId;

		$respuesta = ModeloPersonas::mdlActualizarEstadoPersona($tabla, $item1, $valor1, $item2, $valor2);
		echo json_encode($respuesta);
	}

	// public function ajaxFiltrar(){
	// 	$valor = $this->valor;
	// 	$item = $this->item;
	// 	$tabla = $this->tabla;
	// 	$respuesta = ControladorPersonas::ctrMostrarFiltro($tabla,$item,$valor);

	// 	echo json_encode($respuesta);
	// }

}



/*=============================================
VALIDAR NO REPETIR PERSONA
=============================================*/

if(isset( $_POST["validarPersona"])){

	$valPersona = new AjaxPersonas();
	$valPersona -> validarPersona = $_POST["validarPersona"];
	$valPersona -> ajaxValidarPersona();

}

/*=============================================
VALIDAR NO REPETIR CODIGO PERSONA
=============================================*/

if(isset( $_POST["validarPersonaCodigo"])){

	$valPersona = new AjaxPersonas();
	$valPersona -> validarPersona = $_POST["validarPersonaCodigo"];
	$valPersona -> ajaxValidarPersona();

}


/*=============================================
EDITAR PERSONA
=============================================*/	

if(isset($_POST["idPersona"])){

	$persona = new AjaxPersonas();
	$persona -> idPersona = $_POST["idPersona"];
	$persona -> ajaxEditarPersona();

}


if(isset($_POST["idPersonaServicio"])){

	$persona = new AjaxPersonas();
	$persona -> idPersona = $_POST["idPersonaServicio"];
	$persona -> ajaxMostrarPersonaServicio();

}
	

if(isset($_POST["idPersonaContrato"])){

	$persona = new AjaxPersonas();
	$persona -> idPersona = $_POST["idPersonaContrato"];
	$persona -> ajaxMostrarPersona();

}

if(isset($_POST['consultarPersonas'])){
	$tabla = new AjaxPersonas();
	$tabla->ajaxTablaPersona();
}
//echo "estoy fuera";

if(isset($_POST["activarPersona"])){

	$persona = new AjaxPersonas();
	$activarPersona = $_POST["activarPersona"];
	$activarId = $_POST["activarId"];
	$persona -> ajaxActivarPersona($activarPersona,$activarId);

}
	
